import React, { CSSProperties, ReactNode } from "react";
type TextFieldProps = {
    variant?: "outline" | "fill" | "standard";
    id?: string;
    type?: "textarea" | "select" | "text" | "number" | "email" | "password" | "search" | "time" | "url";
    autoComplete?: "on" | "off";
    spellCheck?: boolean;
    autoFocus?: boolean;
    readOnly?: boolean;
    disabled?: boolean;
    inputClassName?: string;
    inputStyle?: CSSProperties | undefined;
    inputRef?: any;
    error?: string;
    showErrorLabel?: boolean;
    buttonIcon?: ReactNode;
    buttonOnClick?: (e: any) => void;
    className?: string;
    height?: any;
    width?: any;
    maxWidth?: any;
    style?: CSSProperties | undefined;
    onChange?: (e: any) => void;
    children?: ReactNode;
    [x: string]: any;
};
export declare const TextField: ({ variant, id, type, autoComplete, spellCheck, autoFocus, readOnly, disabled, inputClassName, inputStyle, inputRef, error, showErrorLabel, buttonIcon, buttonOnClick, items, className, height, width, maxWidth, style, onChange, children, ...props }: TextFieldProps) => React.JSX.Element;
export {};
