import React, { ReactNode } from "react";
interface ListItemProps {
    variant?: "" | "text" | "button" | "menu";
    className?: string;
    alignTop?: boolean;
    icon?: ReactNode | ((expanded: boolean) => ReactNode);
    checked?: "" | true | false;
    radio?: boolean;
    primary: ReactNode;
    secondary?: ReactNode;
    inset?: boolean;
    selected?: boolean;
    compact?: boolean;
    expanded?: boolean;
    disabled?: boolean;
    caretPosition?: "none" | "start" | "end";
    controls?: any;
    expandCommand?: any;
    children?: any;
    command?: any;
    onClick?: (e: any) => any;
    onTitleClick?: (e: any) => any;
    [x: string]: any;
}
export declare const ListItem: ({ variant, className, alignTop, icon, checked, radio, primary, secondary, inset, selected, compact, expanded, disabled, caretPosition, controls, expandCommand, onClick, onTitleClick, children, ...props }: ListItemProps) => React.JSX.Element;
export {};
