import React, { ReactNode } from "react";
type MenuProps = {
    className?: string;
    children?: ReactNode;
    dropdown?: boolean;
    filterable?: boolean;
    nothingFoundMessage?: string;
    searchMessage?: string;
    [x: string]: any;
};
export declare const Menu: ({ className, children, dropdown, filterable, nothingFoundMessage, searchMessage, ...props }: MenuProps) => React.JSX.Element;
export declare const MenuHeader: ({ ...props }: {
    [x: string]: any;
}) => React.JSX.Element;
export declare const MenuDivider: () => React.JSX.Element;
export declare const MenuItem: ({ ...props }: {
    [x: string]: any;
}) => React.JSX.Element;
export declare const SubMenu: ({ menu, className, ...props }: {
    [x: string]: any;
    menu: any;
    className?: string;
}) => React.JSX.Element;
export {};
