import React, { ReactNode } from "react";
interface PanelProps {
    variant?: "text" | "button" | "menu";
    className?: string;
    title?: ReactNode;
    headerClassName?: string;
    titleClassName?: string;
    caretPosition?: "" | "start" | "middle" | "end";
    size?: "" | "sm" | "md" | "lg";
    fixed?: boolean;
    expanded?: boolean;
    disabled?: boolean;
    controls?: any;
    lazyload?: boolean;
    onToggle: (expanded: boolean) => void;
    children?: any;
    [x: string]: any;
}
export declare const Panel: ({ variant, className, title, headerClassName, titleClassName, caretPosition, size, fixed, expanded, disabled, controls, lazyload, onToggle, children, ...props }: PanelProps) => React.JSX.Element;
export {};
