import React, { CSSProperties } from "react";
interface SwitchProps {
    id?: string;
    className?: string;
    label?: string;
    labelClassName?: string;
    labelStyle?: CSSProperties | undefined;
    color?: string;
    size?: "" | "sm";
    disabled?: boolean;
    model?: boolean;
    labelPlacement?: "start" | "end";
    onChange?: (e: any) => void;
    onFocus?: (e: any) => void;
    onBlur?: (e: any) => void;
    onMouseLeave?: (e: any) => void;
    onMouseDown?: (e: any) => void;
    setModel?: (model: boolean) => void;
    [x: string]: any;
}
export declare const Switch: ({ id, className, label, labelClassName, labelStyle, color, size, disabled, model, edge, compact, labelPlacement, onChange, onFocus, onBlur, onMouseLeave, onMouseDown, setModel, ...props }: SwitchProps) => React.JSX.Element;
export {};
