import React from "react";
interface TabStripProps {
    shade?: true | "default" | "primary" | "secondary";
    variant?: "" | "default" | "fixed" | "fullWidth" | "centered" | "vertical";
    scrollButtons?: "" | "auto" | "on" | "off" | "desktop";
    mouseWheel?: boolean;
    indicator?: "" | "none" | "reverse" | "all";
    indicatorColor?: "" | "default" | "primary" | "secondary";
    textColor?: "" | "primary" | "secondary";
    className?: string;
    children: React.ReactNode;
    [x: string]: any;
}
export declare const TabStrip: ({ shade, variant, scrollButtons, mouseWheel, indicator, indicatorColor, textColor, className, children, ...props }: TabStripProps) => React.JSX.Element;
export {};
