import React, { CSSProperties } from "react";
interface ToggleProps {
    id?: string;
    name?: string;
    label?: string;
    labelClassName?: string;
    labelStyle?: CSSProperties | undefined;
    textClassName?: string;
    textStyle?: CSSProperties | undefined;
    edge?: "" | "start" | "end";
    radio?: boolean;
    value?: any;
    model?: any;
    checkedImage?: any;
    uncheckedImage?: any;
    disableRipple?: boolean;
    disabled?: boolean;
    readOnly?: boolean;
    className?: string;
    color?: "" | "default" | "inherit" | "primary" | "secondary";
    size?: "" | "sm" | "md" | "lg" | "xl";
    compact?: boolean;
    labelPlacement?: "start" | "end";
    indeterminate?: boolean;
    indeterminateImage?: any;
    inputRef?: any;
    defaultChecked?: any;
    onChange?: (e: any) => void;
    setModel?: (e: any) => void;
    onMouseDown?: (e: any) => void;
    onMouseLeave?: (e: any) => void;
    onFocus?: (e: any) => void;
    onBlur?: (e: any) => void;
    [x: string]: any;
}
export declare const Toggle: ({ id, name, label, labelClassName, labelStyle, textClassName, textStyle, radio, value, model, checked, checkedImage, uncheckedImage, disableRipple, disabled, readOnly, className, color, size, edge, compact, labelPlacement, indeterminate, indeterminateImage, inputRef, defaultChecked, onChange, setModel, onMouseDown, onMouseLeave, onFocus, onBlur, ...props }: ToggleProps) => React.JSX.Element;
export {};
