import React, { ReactNode } from "react";
interface TreeViewItemProps {
    id?: string;
    variant?: "" | "text" | "menu";
    className?: string;
    title: ReactNode;
    selected?: boolean;
    compact?: boolean;
    expanded?: boolean;
    disabled?: boolean;
    focus?: boolean;
    href?: string;
    lazyload?: boolean;
    children?: ReactNode | (({ isExpanded, render }: {
        isExpanded: any;
        render: any;
    }) => ReactNode);
    onToggleSelection?: (any: any) => any;
    onClick?: (e: any) => any;
    onTitleClick?: (e: any) => any;
    [x: string]: any;
}
export declare const TreeViewItem: ({ id, variant, className, title, selected, compact, expanded, disabled, focus, href, lazyload, onToggleSelection, onClick, onTitleClick, children, ...props }: TreeViewItemProps) => React.JSX.Element;
export {};
