import React from "react";
interface BadgeProps {
    value?: number;
    max?: number;
    showzero?: boolean;
    dot?: boolean;
    overlapCircle?: boolean;
    anim?: boolean;
    className?: string;
    color?: "" | "primary" | "secondary" | "danger";
    position?: "top-start" | "top-end" | "bottom-start" | "bottom-end";
    children?: any;
    [x: string]: any;
}
export declare const Badge: ({ value, max, showzero, dot, overlapCircle, anim, className, color, position, children, ...props }: BadgeProps) => React.JSX.Element;
export {};
