import React from "react";
interface ButtonProps {
    active?: boolean;
    variant?: "" | "inherit" | "contained" | "flat" | "icon" | "text" | "outline" | "fab";
    className?: string;
    color?: "" | "inherit" | "default" | "primary" | "secondary";
    size?: "" | "sm" | "md" | "lg";
    pill?: boolean;
    edge?: "start" | "end";
    menu?: any;
    align?: "start" | "end";
    drop?: "up" | "start" | "end" | "down";
    position?: "bottom-start" | "bottom-center" | "bottom-end";
    href?: string;
    disableRipple?: boolean;
    disabled?: boolean;
    children?: any;
    onFocus?: (e: any) => void;
    onBlur?: (e: any) => void;
    onMouseLeave?: (e: any) => void;
    onMouseDown?: (e: any) => void;
    onClick?: (e: any) => void;
    [x: string]: any;
}
export declare const Button: ({ active, variant, className, color, size, pill, edge, menu, drop, align, position, href, disableRipple, disabled, onFocus, onBlur, onMouseLeave, onMouseDown, onClick, children, ...props }: ButtonProps) => React.JSX.Element;
export {};
