import React, { ReactNode } from "react";
import * as bd from "../index";
export type Void = () => void;
export type MsgBoxButtonAction = (hide: Void) => void;
export type MsgBoxButtonProps = {
    variant?: "" | "inherit" | "contained" | "flat" | "icon" | "text" | "outline";
    color?: "" | "inherit" | "default" | "primary" | "secondary";
    className?: string;
    title: ReactNode;
    action?: MsgBoxButtonAction;
};
export declare const msgbox: (title?: ReactNode, body?: ReactNode, buttons?: string | bd.MsgBoxButtonProps[] | ((hide: Void) => ReactNode), props?: {
    className?: string;
    backdropClassName?: string;
}) => void;
type MsgBoxContainerPropsType = {
    backdropClassName?: string;
    className?: string;
};
type MsgBoxContainerStateType = {
    list: any;
};
export declare class MsgBoxContainer extends React.Component<MsgBoxContainerPropsType, MsgBoxContainerStateType> {
    constructor(props: any);
    handleClose: (key: any) => void;
    show: (title: any, body: any, buttons: any, props: any) => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): any;
}
export {};
