import React, { ReactNode } from "react";
type MsgBoxPropsType = {
    title: ReactNode;
    body: ReactNode | ((x: any) => any);
    buttons: any;
    size?: "sm" | "lg" | "xl";
    backdropClassName?: string;
    className?: string;
    dialogClassName?: string;
    contentClassName?: string;
    fullscreen?: true | string | "sm-down" | "md-down" | "lg-down" | "xl-down" | "xxl-down";
    onClose: () => void;
};
type MsgBoxStateType = {
    open: boolean;
};
export declare class MsgBox extends React.Component<MsgBoxPropsType, MsgBoxStateType> {
    constructor(props: any);
    renderBody: () => any;
    renderButtons: () => any;
    onHideHandler: () => void;
    render(): React.JSX.Element;
}
export {};
