import React, { MutableRefObject } from "react";
type ScrollPaneApi = {
    canGoPrev: boolean;
    canGoNext: boolean;
    scrollTo: (elem: any) => void;
    isRtl: () => boolean;
    scroll: (delta: number) => void;
};
interface ScrollPaneProps {
    as?: any;
    vertical?: boolean;
    className?: string;
    containerClassName?: string;
    mouseWheel?: boolean;
    scrollDuration?: number;
    getApiRef?: MutableRefObject<() => ScrollPaneApi>;
    prevButton?: (api: ScrollPaneApi) => React.ReactNode;
    nextButton?: (api: ScrollPaneApi) => React.ReactNode;
    onWheel?: (e: any) => void;
    onScroll?: (e: any) => void;
    children: React.ReactNode;
    [x: string]: any;
}
export declare const ScrollPane: ({ as, vertical, className, containerClassName, prevButton, nextButton, mouseWheel, children, onWheel, onScroll, getApiRef, ...props }: ScrollPaneProps) => React.JSX.Element;
export {};
