import React from "react";
interface FlexProps {
    inline?: boolean;
    reverse?: boolean;
    vertical?: boolean;
    content?: "start" | "end" | "center" | "between" | "around";
    align?: "center" | "start" | "end" | "baseline" | "stretch";
    grow?: boolean;
    gap?: any;
    wrap?: false | true | "no" | "reverse";
    className?: string;
    children?: any;
    [x: string]: any;
}
export declare const Flex: ({ inline, reverse, vertical, content, align, wrap, grow, gap, className, children, ...props }: FlexProps) => React.JSX.Element;
export {};
